#ifndef ABOUTDIALOG_H
#define ABOUTDIALOG_H

#include <qtabwidget.h>
#include <qtextbrowser.h>
#include <qlayout.h>
#include <qdialog.h>
#include <qpushbutton.h>
#include <qstring.h>


/////////////////////////////////////////////////////////////////////////////
class AboutDialog :public QDialog
{
public:
	AboutDialog( QWidget * parent = 0, const char * name = 0);
	~AboutDialog();

public slots:
	virtual void openLnk (const QString &);

private:
	QTabWidget *tabs;
	QTextBrowser *credits;
	QTextBrowser *license;

	QBoxLayout *mainLayout;
	QBoxLayout *topLayout;
	QBoxLayout *bottomLayout;
	QPushButton *okbutton;
	
};

#endif
